import request from '@/utils/request'

// 查询专业管理列表
export function listSpeciality(query) {
  return request({
    url: '/basic/speciality/list',
    method: 'get',
    params: query
  })
}

// 查询专业管理详细
export function getSpeciality(id) {
  return request({
    url: '/basic/speciality/' + id,
    method: 'get'
  })
}

// 新增专业管理
export function addSpeciality(data) {
  return request({
    url: '/basic/speciality',
    method: 'post',
    data: data
  })
}

// 修改专业管理
export function updateSpeciality(data) {
  return request({
    url: '/basic/speciality',
    method: 'put',
    data: data
  })
}

// 删除专业管理
export function delSpeciality(id) {
  return request({
    url: '/basic/speciality/' + id,
    method: 'delete'
  })
}
